## ros-melodic-cob-collision-monitor 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_collision_monitor)

add_definitions(-std=c++11)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  moveit_ros_move_group
  moveit_ros_planning
  pluginlib
  std_msgs
  tf
  tf2_ros
)
catkin_package(
  CATKIN_DEPENDS std_msgs tf
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}_capability
  src/collision_monitor_capability.cpp
)

add_executable(${PROJECT_NAME}_node src/collision_monitor_node.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}_node
  ${catkin_LIBRARIES}
)
target_link_libraries(${PROJECT_NAME}_capability
  ${catkin_LIBRARIES}
)


## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}_capability ${PROJECT_NAME}_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES move_group_capabilities.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-cob-collision-monitor (0.7.5-1bionic) bionic; urgency=high

  * Merge pull request #148 <https://github.com/ipa320/cob_manipulation/issues/148> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #149 <https://github.com/ipa320/cob_manipulation/issues/149> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 02 Dec 2020 23:00:00 -0000

ros-melodic-cob-collision-monitor (0.7.4-1bionic) bionic; urgency=high

  * Merge pull request #143 <https://github.com/ipa320/cob_manipulation/issues/143> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-collision-monitor (0.7.3-1bionic) bionic; urgency=high

  * Merge pull request #138 <https://github.com/ipa320/cob_manipulation/issues/138> from fmessmer/melodic_checks
    [Melodic] add melodic checks
  * dual-distro compatibility
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-cob-collision-monitor (0.7.2-1bionic) bionic; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-cob-collision-monitor (0.7.1-1bionic) bionic; urgency=high

  * Merge pull request #134 <https://github.com/ipa320/cob_manipulation/issues/134> from ipa320/kinetic_release_candidate
    Kinetic release candidate
  * Merge pull request #132 <https://github.com/ipa320/cob_manipulation/issues/132> from ipa-fxm/kinetic_dev
    [kinetic] updates from indigo_dev
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_manipulation into kinetic_dev
    Conflicts:
    .travis.yml
    cob_kinematics/ikfast/src/ikfast_lbr.cpp
    cob_kinematics/ikfast/src/ikfast_ur10.cpp
    cob_kinematics/ikfast/src/ikfast_ur5.cpp
    cob_kinematics/package.xml
    cob_kinematics/ros/bin/genikfast.py
    cob_kinematics/ros/src/ikfast_plugin.cpp
    cob_kinematics/ros/src/urdf_openrave.cpp
  * Merge pull request #124 <https://github.com/ipa320/cob_manipulation/issues/124> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #120 <https://github.com/ipa320/cob_manipulation/issues/120> from ipa-fxm/APACHE_license
    use license apache 2.0
  * updated author/maintainer
  * use license apache 2.0
  * Contributors: Felix Messmer, Mathias Lüdtke, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-collision-monitor (0.7.0-1bionic) bionic; urgency=high

  * c+11 support
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-melodic-cob-collision-monitor (0.6.5-1bionic) bionic; urgency=high

  * parameters via launch file
  * default verbosity set to false
  * catch runtime exception
  * add debug info to collision_monitor
  * restructure moveit config
  * do not load robot_description in cob_moveit_config/upload_config.launch
  * minor launch adjustments
  * update cob_collision_monitor
  * add remaps for cob4 as comments
  * Contributors: ipa-fxm, ipa-nhg

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-melodic-cob-collision-monitor (0.6.4-1bionic) bionic; urgency=high

  * explicit name for the collision_monitor plugin
  * add launch file for standalone collision_monitor node
  * introducing default values for parameter circumpassing fcl bug
  * Fixed typo, i was missing in lib path
  * removed most auto-generted comments
  * added cob_collision_monitor package
  * Contributors: Mathias Lüdtke, ipa-fxm, ipa-mdl

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-collision-monitor (0.6.3-1bionic) bionic; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-melodic-cob-collision-monitor (0.6.2-1bionic) bionic; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-melodic-cob-collision-monitor (0.6.1-1bionic) bionic; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-collision-monitor (0.6.0-1bionic) bionic; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-melodic-cob-collision-monitor (0.5.2-1bionic) bionic; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-melodic-cob-collision-monitor (0.5.1-1bionic) bionic; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 25 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-cob-collision-monitor
Section: misc
Priority: optional
Maintainer: Felix Messmer <fxm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-planning, ros-melodic-pluginlib, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2-ros
Homepage: http://wiki.ros.org/cob_collision_monitor
Standards-Version: 3.9.2

Package: ros-melodic-cob-collision-monitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cob-moveit-config, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-planning, ros-melodic-pluginlib, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2-ros
Description: The collision monitor uses the planning scene monitor to read the state of the robot and check it for collision with itselt or the environment.
 It addition a ground plane is added in any case. Can be used as a stand-aloan node or a move_group capability.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cob-collision-monitor//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
